# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:		bcunit
Version:	3.0.2
Release:	1%{?dist}
Summary:	Fork of the defunct CUnit project with fixes and patches

License:	GPL2
URL:		https://gitlab.linphone.org/BC/public/%{name}/blob/master/README.md
Source0:	https://gitlab.linphone.org/BC/public/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake gcc
#Requires:	

%description
BCUnit is a Unit testing framework for C.

The basic framework is platform/version independent and should be portable to all platforms. BCUnit provides various interfaces to the framework, some of which are platform dependent (e.g. curses on *nix). Building other interfaces should be straightforward with the facilities provided in the framework.

BCUnit is built as either a static or shared library which provides framework support when linked into user testing code. The framework complies with the conventional structure of test cases bundled into suites which are registered with the framework for running. See the documentation for more about the structure and use of the framework.

%package devel
Summary:       Development libraries for bcunit
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description    devel
Libraries and headers required to develop software with bcunit.

%prep
%setup -q

%build
%cmake
#make %{?_smp_mflags}

%install
%make_install

%files
%doc	README AUTHORS NEWS ChangeLog
%license COPYING
/usr/lib/debug%{_libdir}/*
%{_libdir}/lib%{name}.so.*
%{_datarootdir}/BCunit
%{_datarootdir}/BCUnit

%files devel
%{_includedir}/BCUnit
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Sat Jun  1 2019 Stuart Gathman <stuart@gathman.org> - 0.6.0-1
- Initial RPM
